﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinListView;

namespace WindowsFormsApplication558
{
    class CF : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is UltraListViewItemUIElement)
            {
                UltraListViewItemUIElement item = (UltraListViewItemUIElement)parent as UltraListViewItemUIElement;
                switch (item.Item.Key)
                {
                    case "0":
                        item.Rect = new System.Drawing.Rectangle(item.Parent.Rect.X, item.Parent.Rect.Y, item.Rect.Width, item.Rect.Height);
                        break;
                    case "1":
                        item.Rect = new System.Drawing.Rectangle(300, 200, item.Rect.Width, item.Rect.Height);
                        break;
                    case "2":
                        item.Rect = new System.Drawing.Rectangle(127, 243, item.Rect.Width, item.Rect.Height);
                        break;
                }
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
